#
# spec file for package portmap (Version 5beta)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcpd
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcpd texinfo textutils timezone unzip util-linux vim

Name:         portmap
Copyright:    BSD
Group:        Networking/Daemons
Requires:     netcfg
Provides:     nkitb:/sbin/portmap
Autoreqprov:  on
Version:      5beta
Release:      233
Summary:      A program which manages RPC connections
BuildRoot:    /var/tmp/portmap_root
Source: portmap_5beta.tar.gz
Source1: portmap.init
Source2: rc.config.portmap
Patch: portmap_5beta.dif

%description
A portmapper manages RPC connections, which are used by protocols like
NFS and NIS.
This version is compiled with tcp_wrapper support.

Authors:
--------
    Wietse Venema (wietse@wzv.win.tue.nl)

SuSE series: n

%prep
%setup -n portmap_5beta
%patch

%build
make

%install
rm -Rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/sbin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -s pmap_dump pmap_set $RPM_BUILD_ROOT/usr/sbin/
install -s portmap $RPM_BUILD_ROOT/sbin
install -m 644 portmap.8 pmap_dump.8 pmap_set.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install -m 644 $RPM_SOURCE_DIR/rc.config.portmap $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 744 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/portmap
ln -sf ../etc/init.d/portmap $RPM_BUILD_ROOT/sbin/rcportmap

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   rm -rf $RPM_BUILD_ROOT
fi

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.portmap
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.portmap"
  echo "and update by hand."
fi
sbin/insserv etc/init.d/portmap

%postun
sbin/insserv etc/init.d

%files
%doc README BLURB CHANGES
%config /etc/init.d/portmap
/sbin/*
/usr/sbin/*
%doc %{_mandir}/man8/*
/var/adm/fillup-templates/rc.config.portmap

%changelog -n portmap
* Mon Aug 06 2001 - kukuk@suse.de
- Fix comment about init script location [Bug #9494]
* Fri Jul 13 2001 - grimmer@suse.de
- Fixed file list (using wildcards instead of directory names
  that are shared with other packages)
* Tue Jul 03 2001 - kukuk@suse.de
- Fix init script to be more LSB complaint [Bug #9061]
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Tue Nov 28 2000 - kukuk@suse.de
- Move init script to /etc/init.d
* Wed Nov 22 2000 - kukuk@suse.de
- Fix typo in spec file
* Tue Nov 21 2000 - kukuk@suse.de
- Use new init script
* Tue May 09 2000 - schwab@suse.de
- Fix init script
* Tue Apr 18 2000 - kukuk@suse.de
- Fix rcportmap link
* Tue Apr 11 2000 - kukuk@suse.de
- New version, split from nkitb
